---
title: "Helmholtz RSD now open for all Helmholtz members"
title_image: pexels-cottonbro-5483071.jpg
date: 2023-02-17
authors:
 - meessen
layout: blogpost
categories:
  - News
tags:
  - Announcement
  - Community
  - Cloud Services
excerpt: >
  HIFIS launches the teaser for the upcoming Helmholtz Research Software Directory.
---

## Promote your Research Software in the Helmholtz RSD

{:.treat-as-figure}
{:.float-right}
{:.p-5}
![RSD Screenshot]({% link assets/img/posts/2023-02-17-RSD/rsd_screenshot.png%})

After six months of testing, HIFIS can finally open the Helmholtz Research Software Directory (RSD) for all Helmholtz members. If you have an account at a Helmholtz Institution, you can now login to the RSD via the Helmholtz AAI, and start adding your Research Software:

<center>
<a alt="Link to the HIFIS RSD" href="https://helmholtz.software" class="btn btn-primary btn-lg m-1" target="_blank">https://helmholtz.software</a>
</center>

### What does the RSD offer?

The Helmholtz RSD is **tailored to Research Software Engineers and Researchers** that want to promote or discover research software. For RSEs,  we

* offer an easy to use platform to present your software in an environment dedicated to research software
* show where your software has already been mentioned in papers, talks or videos
* relate your software to other software, projects or organisations
* provide help to researchers to get your Software cited correctly
* provide interested users a gateway to get started with your software
* direct interested users to your code platform

### Future plans

The Helmholtz RSD is not yet finished and we just started our journey. We are constantly evaluating and further developing the platform. Please contact us via [support@hifis.net](mailto:{{ site.contact_mail }}) or open an issue in our [GitHub repository](https://github.com/hifis-net/RSD-as-a-service/issues) if you have suggestions, critics or anything else you would like to tell us.

### Cooperation

The Helmholtz Research Software Directory is an adaption of the [Research Software Directory](https://research-software-directory.org/), and we are closely collaborating with the upstream maintainers, the [Netherlands eScience Center](https://www.esciencecenter.nl/).
